# Class ExtractFunctionsMixin

#### Hierarchy (View Summary)

- ExtractFunctionsMixin
  - ExtractFunctionMixin

- Defined in packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:41

#####
Index

### Constructors

constructor

### Methods

extractFunctions

##
Constructors

### constructor

- new ExtractFunctionsMixin(): ExtractFunctionsMixin

  #### Returns ExtractFunctionsMixin

##
Methods

### `Protected` extractFunctions

- extractFunctions(
  defaultMap?:
  | null
  | Map<
  string,
  UseFunctionDefinition<
  unknown,
  any[],
  UseFunctionConfig<unknown, any[], any, any[]>,
  >,
  >,
  formDefinition: FormDefinition,
  controlId: string,
  ): Map<
  string,
  UseFunctionDefinition<
  unknown,
  any[],
  UseFunctionConfig<unknown, any[], any, any[]>,
  >,
  >

  #### Parameters

  - defaultMap:
    | null
    | Map<
    string,
    UseFunctionDefinition<
    unknown,
    any[],
    UseFunctionConfig<unknown, any[], any, any[]>,
    >,
    > = null
  - formDefinition: FormDefinition
  - controlId: string

  #### Returns Map<
  string,
  UseFunctionDefinition<
  unknown,
  any[],
  UseFunctionConfig<unknown, any[], any, any[]>,
  >,
  >

  - Defined in packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:43